"{ Package: 'squeak:petitparser' }"

TestResource subclass:#PPParserResource
	instanceVariableNames:'parsers'
	classVariableNames:''
	poolDictionaries:''
	category:'PetitTests-Core'
!


!PPParserResource methodsFor:'accessing'!

parserAt: aParserClass
	"Answer a cached instance of aParserClass."
	
	^ parsers at: aParserClass name ifAbsentPut: [ aParserClass new ]
! !

!PPParserResource methodsFor:'running'!

setUp
	super setUp.
	parsers := Dictionary new
! !

!PPParserResource class methodsFor:'documentation'!

version_SVN
    ^ '$Id: PPParserResource.st,v 1.1 2011-08-18 18:56:17 cg Exp $'
! !
